SoXtLightSliderSet(3IV)

NAME
SoXtLightSliderSet — component with Motif sliders for editing SoLight nodes

INHERITS FROM
SoXtComponent > SoXtSliderSetBase > SoXtSliderSet > SoXtLightSliderSet

SYNOPSIS
#include <Inventor/Xt/SoXtLightSliderSet.h>

Methods from class SoXtLightSliderSet:

SoXtLightSliderSet(Widget parent = NULL, const char *name = NULL, SbBool buildInsideParent = TRUE, SoNode *newEditNode = NULL )

~SoXtLightSliderSet()

Methods from class SoXtSliderSetBase:

virtual void
setNode(SoNode *newNode)
SoNode *
getNode() const

Methods from class SoXtComponent:

virtual void
show()
virtual void
hide()
SbBool
isVisible()
Widget
getWidget() const
SbBool
isTopLevelShell() const
Widget
getShellWidget() const
Widget
getParentWidget() const
void
setSize(const SbVec2s &size)
SbVec2s
getSize()
Display *
getDisplay()
void
setTitle(const char *newTitle)
const char *
getTitle() const
void
setIconTitle(const char *newIconTitle)
const char *
getIconTitle() const
void
setWindowCloseCallback(SoXtComponentCB *func, void *data = NULL)
static SoXtComponent *
getComponent(Widget w)
const char *
getWidgetName() const
const char *
getClassName() const

DESCRIPTION
This class is used to manipulate the intensity and color of an SoLight node using an arrangement of Motif sliders and buttons.

METHODS

SoXtLightSliderSet(Widget parent = NULL, const char *name = NULL, SbBool buildInsideParent = TRUE, SoNode *newEditNode = NULL )

~SoXtLightSliderSet()
Constructor and destructor. At construction time the light node to edit can be supplied.

SEE ALSO
SoXtSliderSet, SoXtSliderSetBase, SoXtComponent, SoLight, SoNode